Bug 228025 - escd crashes
escd crashes
Status: CLOSED DUPLICATE of bug 211710
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
5.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jack Magne
IDM QE LIST
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-09 11:29 EST by Don Vanco
Modified: 2012-06-08 11:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 11:16:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (30.89 KB, application/octet-stream)
2007-04-24 13:22 EDT, Don Vanco
no flags Details

  None (edit)
Description Don Vanco 2007-02-09 11:29:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1

Description of problem:
Installing RHEL 5 Beta 2 x86_64 with Xen kernel on machine with VIA Unichrome Pro IGP (v1.0) chipset.

Graphical installer works fine.

Resulting installation has xorg.conf file with vesa driver and 24-bit depth specified.

On firstboot system hangs trying to start RHGB, if by-passed I cannot start X manually.  It just hangs while trying to generate a display. 

system-config-display --reconfig just hangs as well.

Have changed the driver to via - X pukes immediately on start.

Will attach notes from beta list

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Purchase MSI PM8PM-V motherboard http://www.msicomputer.com/product/p_spec.asp?model=PM8PM-V&class=mb
2. Install RHEL 5 beta 2
3. Watch it not start RHGB / XR

Actual Results:
Self explanatory

Expected Results:
RHGB / X should run

Additional info:
Well it appears my hang was due to RHGB (should have started with the simple stuff) and ultimately that X has an issue on my box that I cannot seem to resolve.  Running system-config-desktop with the --reconfig option just simply sends the system out to lunch until I kill it with ctrl-alt-bkspc.  I see the following error:

The application 'xconf.py' lost its connection to the display :17.0; most likely the X server was shut down or you killed/destroyed the application.
Window manager warning: Lost connection to the display ':17.0'; most likely the X server was shut down or you killed/destroyed the window manager.

Rather uninformative.

Am I correct in hat there are NO update channels for beta 2??  I would have hoped that an upgrade of the base package install might already have a bug fix.


If I manually startx and log the errors there's a TON of messages that I'll append to the bottom of this email - but it looks like there's an issue with OpenOffice???


It appears in the info below, but this is an x86_64 install using the Xen kernel.  The graphics is motherboard based and is a VIA UniChrome Pro IGP (v1.0) chipset.
xorg.conf driver set to vesa, tried it with via and it just pukes immediately saying no device found.

Don

rhelv5-beta-list-bounces@redhat.com wrote:
> I've seen this, but since we're booting a little differently, I 
> assumed it might have been an artifact of our non-standard 
> environment. However, try this:
> 
> - Boot to single-user mode (edit the append line in the grub menu
>   and add the word 'emergency').
> - Edit /etc/rc.sysinit around line 934 to change the 'wait'
> to 'sleep 10'.
> - Reboot
> 
> Not sure why, but it appears that the 'wait' can sometimes never 
> return.
> Adding an 'exit 0' at the end of the sub-shell script around line 925 
> can help, but with the sleep instead of the wait, at least it'll never 
> hang forever.
> 
> If you just installed from the DVD to local disk and booted from disk, 
> I'd say this is a bug that would need to be filed.
> 
> Chris
> 
> Vanco, Don wrote:
>> I just loaded beta2 from the DVD ISO and it can't seem to get past 
>> "Enabling /etc/fstab swaps" (which gets the OK) in any runlevel.
>> 
>> What's next in the init order?
>> 
>> Tried searching the archives, didn't see anything that matched.  I 
>> stumbled around in Bugzilla but am not sure what, exactly, to search 
>> against... and then Bugzilla decided to go away completely
>> 
>> ???
>> 
>> Don


xauth:  creating new authority file /root/.serverauth.3664


X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1 Build Operating System:
Linux 2.6.9-34.ELsmp x86_64 Red Hat, Inc.
Current Operating System: Linux localhost.localdomain 2.6.18-1.2747.el5xen #1 SMP Thu Nov 9 19:08:55 EST 2006 x86_64 Build
Date: 06 November 2006 Build ID: xorg-x11-server 1.1.1-48.2.el5 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Feb  8 15:23:13 2007
(==) Using config file: "/etc/X11/xorg.conf"
(EE) AIGLX: Screen 0 is not DRI capable
localuser:root being added to access control list No profile for user 'root' found
SESSION_MANAGER=local/localhost.localdomain:/tmp/.ICE-unix/3685

** (eggcups:3758): WARNING **: IPP request failed with status 1030

** (eggcups:3758): WARNING **: IPP request failed with status 1030 Initializing nautilus-open-terminal extension Unable to open desktop file /usr/share/applications/openoffice.org-1.9-writer.desktop for panel
launcher: No such file or directory Unable to open desktop file /usr/share/applications/openoffice.org-1.9-impress.desktop for panel
launcher: No such file or directory Unable to open desktop file /usr/share/applications/openoffice.org-1.9-calc.desktop for panel
launcher: No such file or directory The application 'gnome-panel' lost its connection to the display :0.0; most likely the X server was shut down or you killed/destroyed the application.
The application 'nautilus' lost its connection to the display :0.0; most likely the X server was shut down or you killed/destroyed the application.
Window manager warning: Lost connection to the display ':0.0'; most likely the X server was shut down or you killed/destroyed the window manager.
The application 'eggcups' lost its connection to the display :0.0; most likely the X server was shut down or you killed/destroyed the application.
The application 'bt-applet' lost its connection to the display :0.0; most likely the X server was shut down or you killed/destroyed the application.
The application 'nm-applet' lost its connection to the display :0.0; most likely the X server was shut down or you killed/destroyed the application.
The application 'puplet' lost its connection to the display :0.0; most likely the X server was shut down or you killed/destroyed the application.

(gnome-panel:3748): GLib-GObject-CRITICAL **: g_object_run_dispose:
assertion `G_IS_OBJECT (object)' failed

(gnome-panel:3748): GLib-GObject-CRITICAL **: g_object_run_dispose:
assertion `G_IS_OBJECT (object)' failed

(gnome-panel:3748): GLib-GObject-CRITICAL **: g_object_run_dispose:
assertion `G_IS_OBJECT (object)' failed
*** glibc detected *** ./escd: double free or corruption (out):
0x00007fffc7d643d0 *** ======= Backtrace: ========= /lib64/libc.so.6[0x38e626ea70] /lib64/libc.so.6(cfree+0x8c)[0x38e627218c]
./escd(__gxx_personality_v0+0x382)[0x4071fa]
./escd(_ZN5ESC_D15xIOErrorHandlerEP9_XDisplay+0x34)[0x407244]
/usr/lib64/libX11.so.6(_XIOError+0x1d)[0x38e7649e8d]
/usr/lib64/libX11.so.6(_XRead+0xac)[0x38e764acec]
/usr/lib64/libX11.so.6(_XReadEvents+0x162)[0x38e764c612]
/usr/lib64/libX11.so.6(XNextEvent+0x7f)[0x38e763627f]
./escd[0x40898b]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x38e621da44]
./escd(__gxx_personality_v0+0x1f1)[0x407069]
======= Memory map: ========
00400000-0042f000 r-xp 00000000 fd:00 5932884 /usr/lib64/esc-1.0.0/escd 0062f000-00633000 rw-p 0002f000 fd:00 5932884 /usr/lib64/esc-1.0.0/escd 00633000-00676000 rw-p 00633000 00:00 0 [heap] 40000000-40001000 ---p 40000000 00:00 0 40001000-40a01000 rw-p 40001000 00:00 0 38e5e00000-38e5e1a000 r-xp 00000000 fd:00 4784413 /lib64/ld-2.5.so 38e6019000-38e601a000 r--p 00019000 fd:00 4784413 /lib64/ld-2.5.so 38e601a000-38e601b000 rw-p 0001a000 fd:00 4784413 /lib64/ld-2.5.so 38e6200000-38e6345000 r-xp 00000000 fd:00 4784414 /lib64/libc-2.5.so 38e6345000-38e6544000 ---p 00145000 fd:00 4784414 /lib64/libc-2.5.so 38e6544000-38e6548000 r--p 00144000 fd:00 4784414 /lib64/libc-2.5.so 38e6548000-38e6549000 rw-p 00148000 fd:00 4784414 /lib64/libc-2.5.so 38e6549000-38e654e000 rw-p 38e6549000 00:00 0 38e6600000-38e6682000 r-xp 00000000 fd:00 4784416 /lib64/libm-2.5.so 38e6682000-38e6881000 ---p 00082000 fd:00 4784416 /lib64/libm-2.5.so 38e6881000-38e6882000 r--p 00081000 fd:00 4784416 /lib64/libm-2.5.so 38e6882000-38e6883000 rw-p 00082000 fd:00 4784416 /lib64/libm-2.5.so 38e6a00000-38e6a03000 r-xp 00000000 fd:00 4784417 /lib64/libdl-2.5.so 38e6a03000-38e6c02000 ---p 00003000 fd:00 4784417 /lib64/libdl-2.5.so 38e6c02000-38e6c03000 r--p 00002000 fd:00 4784417 /lib64/libdl-2.5.so 38e6c03000-38e6c04000 rw-p 00003000 fd:00 4784417 /lib64/libdl-2.5.so 38e6e00000-38e6e15000 r-xp 00000000 fd:00 4784310 /lib64/libpthread-2.5.so 38e6e15000-38e7014000 ---p 00015000 fd:00 4784310 /lib64/libpthread-2.5.so 38e7014000-38e7015000 r--p 00014000 fd:00 4784310 /lib64/libpthread-2.5.so 38e7015000-38e7016000 rw-p 00015000 fd:00 4784310 /lib64/libpthread-2.5.so 38e7016000-38e701a000 rw-p 38e7016000 00:00 0 38e7200000-38e7214000 r-xp 00000000 fd:00 4839417
/usr/lib64/libz.so.1.2.3
38e7214000-38e7413000 ---p 00014000 fd:00 4839417
/usr/lib64/libz.so.1.2.3
38e7413000-38e7414000 rw-p 00013000 fd:00 4839417
/usr/lib64/libz.so.1.2.3
38e7600000-38e7704000 r-xp 00000000 fd:00 4822516 /usr/lib64/libX11.so.6.2.0 38e7704000-38e7904000 ---p 00104000 fd:00 4822516 /usr/lib64/libX11.so.6.2.0 38e7904000-38e790b000 rw-p 00104000 fd:00 4822516 /usr/lib64/libX11.so.6.2.0 38e7a00000-38e7a02000 r-xp 00000000 fd:00 4821013 /usr/lib64/libXau.so.6.0.0 38e7a02000-38e7c01000 ---p 00002000 fd:00 4821013 /usr/lib64/libXau.so.6.0.0 38e7c01000-38e7c02000 rw-p 00001000 fd:00 4821013 /usr/lib64/libXau.so.6.0.0 38e7e00000-38e7e05000 r-xp 00000000 fd:00 4821410 /usr/lib64/libXdmcp.so.6.0.0 38e7e05000-38e8004000 ---p 00005000 fd:00 4821410 /usr/lib64/libXdmcp.so.6.0.0 38e8004000-38e8005000 rw-p 00004000 fd:00 4821410 /usr/lib64/libXdmcp.so.6.0.0 38e8200000-38e820c000 r-xp 00000000 fd:00 4842204 /usr/lib64/libckyapplet.so.1.0.0 38e820c000-38e840b000 ---p 0000c000 fd:00 4842204 /usr/lib64/libckyapplet.so.1.0.0 38e840b000-38e840c000 rw-p 0000b000 fd:00 4842204 /usr/lib64/libckyapplet.so.1.0.0 38e8600000-38e8620000 r-xp 00000000 fd:00 4784418 /lib64/libexpat.so.0.5.0 38e8620000-38e881f000 ---p 00020000 fd:00 4784418 /lib64/libexpat.so.0.5.0 38e881f000-38e8822000 rw-p 0001f000 fd:00 4784418 /lib64/libexpat.so.0.5.0 38e8a00000-38e8a7f000 r-xp 00000000 fd:00 4822534 /usr/lib64/libfreetype.so.6.3.10 38e8a7f000-38e8c7f000 ---p 0007f000 fd:00 4822534 /usr/lib64/libfreetype.so.6.3.10 38e8c7f000-38e8c84000 rw-p 0007f000 fd:00 4822534 /usr/lib64/libfreetype.so.6.3.10 38e8e00000-38e8e29000 r-xp 00000000 fd:00 4845318 /usr/lib64/libfontconfig.so.1.1.0 38e8e29000-38e9029000 ---p 00029000 fd:00 4845318 /usr/lib64/libfontconfig.so.1.1.0 38e9029000-38e9033000 rw-p 00029000 fd:00 4845318 /usr/lib64/libfontconfig.so.1.1.0 38e9033000-38e9034000 rw-p 38e9033000 00:00 0 38ea600000-38ea609000 r-xp 00000000 fd:00 4822518 /usr/lib64/libXrender.so.1.3.0 38ea609000-38ea808000 ---p 00009000 fd:00 4822518 /usr/lib64/libXrender.so.1.3.0 38ea808000-38ea809000 rw-p 00008000 fd:00 4822518 /usr/lib64/libXrender.so.1.3.0 38eba00000-38eba0d000 r-xp 00000000 fd:00 4784419
/lib64/libgcc_s-4.1.1-20061011.so.1
38eba0d000-38ebc0c000 ---p 0000d000 fd:00 4784419
/lib64/libgcc_s-4.1.1-20061011.so.1
38ebc0c000-38ebc0d000 rw-p 0000c000 fd:00 4784419
/lib64/libgcc_s-4.1.1-20061011.so.1
38ebe00000-38ebee7000 r-xp 00000000 fd:00 4820993
/usr/lib64/libstdc++.so.6.0.8
38ebee7000-38ec0e7000 ---p 000e7000 fd:00 4820993
/usr/lib64/libstdc++.so.6.0.8
38ec0e7000-38ec0ed000 r--p 000e7000 fd:00 4820993
/usr/lib64/libstdc++.so.6.0.8
38ec0ed000-38ec0f0000 rw-p 000ed000 fd:00 4820993
/usr/lib64/libstdc++.so.6.0.8
38ec0f0000-38ec102000 rw-p 38ec0f0000 00:00 0 38f0200000-38f0213000 r-xp 00000000 fd:00 4825641
/usr/lib64/libXft.so.2.1.2
38f0213000-38f0412000 ---p 00013000 fd:00 4825641
/usr/lib64/libXft.so.2.1.2
38f0412000-38f0413000 rw-p 00012000 fd:00 4825641
/usr/lib64/libXft.so.2.1.2
38f9000000-38f9003000 r-xp 00000000 fd:00 4821205 /usr/lib64/libplds4.so 38f9003000-38f9202000 ---p 00003000 fd:00 4821205 /usr/lib64/libplds4.so 38f9202000-38f9203000 rw-p 00002000 fd:00 4821205 /usr/lib64/libplds4.so 38f9800000-38f9835000 r-xp 00000000 fd:00 4845334 /usr/lib64/libnspr4.so 38f9835000-38f9a34000 ---p 00035000 fd:00 4845334 /usr/lib64/libnspr4.so 38f9a34000-38f9a37000 rw-p 00034000 fd:00 4845334 /usr/lib64/libnspr4.so 38f9a37000-38f9a39000 rw-p 38f9a37000 00:00 0 38fa000000-38fa004000 r-xp 00000000 fd:00 4830328 /usr/lib64/libplc4.so 38fa004000-38fa204000 ---p 00004000 fd:00 4830328 /usr/lib64/libplc4.so 38fa204000-38fa205000 rw-p 00004000 fd:00 4830328 /usr/lib64/libplc4.so 38fa400000-38fa47f000 r-xp 00000000 fd:00 4821298 /usr/lib64/libnss3.so 38fa47f000-38fa67f000 ---p 0007f000 fd:00 4821298 /usr/lib64/libnss3.so 38fa67f000-38fa688000 rw-p 0007f000 fd:00 4821298 /usr/lib64/libnss3.so 38fa800000-38fa82d000 r-xp 00000000 fd:00 4821226 /usr/lib64/libssl3.so 38fa82d000-38faa2c000 ---p 0002d000 fd:00 4821226 /usr/lib64/libssl3.so 38faa2c000-38faa2f000 rw-p 0002c000 fd:00 4821226 /usr/lib64/libssl3.so 38fac00000-38fac55000 r-xp 00000000 fd:00 4840498 /usr/lib64/libsoftokn3.so 38fac55000-38fae55000 ---p 00055000 fd:00 4840498 /usr/lib64/libsoftokn3.so 38fae55000-38fae5c000 rw-p 00055000 fd:00 4840498 /usr/lib64/libsoftokn3.so 2aaaaaaab000-2aaaaaaac000 rw-p 2aaaaaaab000 00:00 0 2aaaaaaac000-2aaaaaab0000 rw-s 00000000 fd:00 22773816 /tmp/.pk11ipc1/coolkeypk11sE-Gate 0 0-0 2aaaaaacb000-2aaaaaad5000 rw-p 2aaaaaacb000 00:00 0 2aaaaaad5000-2aaaaab2a000 r-xp 00000000 fd:00 4821225 /usr/lib64/libfreebl3.so 2aaaaab2a000-2aaaaad2a000 ---p 00055000 fd:00 4821225 /usr/lib64/libfreebl3.so 2aaaaad2a000-2aaaaad2c000 rw-p 00055000 fd:00 4821225 /usr/lib64/libfreebl3.so 2aaaaad2c000-2aaaaad3c000 r--s 00000000 fd:00 26673631 /var/run/pcscd.pub 2aaaaad4b000-2aaaaad6b000 r-xp 00000000 fd:00 5308795 /usr/lib64/pkcs11/libcoolkeypk11.so
2aaaaad6b000-2aaaaaf6a000 ---p 00020000 fd:00 5308795 /usr/lib64/pkcs11/libcoolkeypk11.so
2aaaaaf6a000-2aaaaaf6c000 rw-p 0001f000 fd:00 5308795 /usr/lib64/pkcs11/libcoolkeypk11.so
2aaaaaf6c000-2aaaaaf74000 r-xp 00000000 fd:00 4845358 /usr/lib64/libpcsclite.so.1.0.0 2aaaaaf74000-2aaaab174000 ---p 00008000 fd:00 4845358 /usr/lib64/libpcsclite.so.1.0.0 2aaaab174000-2aaaab175000 rw-p 00008000 fd:00 4845358 /usr/lib64/libpcsclite.so.1.0.0 2aaaab175000-2aaaab176000 rw-p 2aaaab175000 00:00 0 2aaaac000000-2aaaac021000 rw-p 2aaaac000000 00:00 0 2aaaac021000-2aaab0000000 ---p 2aaaac021000 00:00 0 7fffc7d50000-7fffc7d65000 rw-p 7fffc7d50000 00:00 0 [stack] ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0 [vdso]
xinit:  connection to X server lost.
Window manager error: Unable to open X display :0.0

(eggcups:3842): Gtk-WARNING **: cannot open display: :0.0
Comment 1 Adam Jackson 2007-03-07 12:12:02 EST
Do you have the /var/log/Xorg.0.log from the failed startup?  Please attach it
if so.
Comment 2 Don Vanco 2007-03-30 12:00:23 EDT
Here's the log from the released Desktop product

Scratch that - I wanted to attach the log, by my freshly installed RHEL 5 box
came up with no networking, and the network config tools exit without message. 
So I guess X is no longer my biggest concern.

Sorry - I can't help much more with this OS until you guys make it work a little
better.

Closed beta = really bad idea.  Worst RH release since 4.x

Don
Comment 3 Matěj Cepl 2007-04-02 09:48:54 EDT
Reporter, I am sorry for your disappointment. All I can suggest is to try now
officially released version (there were tons of bugfixes coming from Beta to
now) and reopen this bug if it is still appropriate.

However, with you seemingly not able to provide information we need, I have no
other choice than close it as INSUFFICIENT_DATA.
Comment 4 Don Vanco 2007-04-02 11:14:00 EDT
If it's not clear in my last comment, "freshly installed RHEL 5" IS the released
product. And networking and X are both inoperable.
Comment 5 Matěj Cepl 2007-04-02 11:47:39 EDT
So can we get /var/log/Xorg.0.log from the RHEL 5, please?
Comment 6 Don Vanco 2007-04-03 08:54:30 EDT
I am involved in an on-site implementation all this week, but will supply
details ASAP
Comment 7 Don Vanco 2007-04-24 13:22:40 EDT
Created attachment 153375 [details]
Xorg log file
Comment 8 Don Vanco 2007-04-24 13:24:10 EDT
Here's the logs. I manually upgraded the Xorg packages and the kernel - no
change in the functionality around this issue or the networking.  I've crushed
this server and installed a functional OS.

I'm baffled how the installer worked so flawlessly yet the best I could do once
installed was VGA with 8-bit color at 200x100 resolution.  I suppose the
installer is in framebuffer mode, sure wish the installed OS was that smart....
Comment 12 Nathan Kinder 2012-06-08 11:16:04 EDT
I believe that this is a duplicate of bug 211710.  We have had no further reports of this issue, and this bug report is quite old.

I am closing this as a duplicate of bug 211710.  If this issue is still occuring with current releases of esc, we can reopen this bug and investigate further.

*** This bug has been marked as a duplicate of bug 211710 ***

Note You need to log in before you can comment on or make changes to this bug.